## com.lowagie.tools
Class CvsLogParser

    java.lang.Object
      com.lowagie.tools.CvsLogParser

All Implemented Interfaces:
  java.util.Enumeration

    public class CvsLogParser

extends java.lang.Object
implements java.util.Enumeration

If you get a changelog from CVS, for instance: cvs -d:ext:blowagie@itext.cvs.sourceforge.net:/cvsroot/itext log -d ">2005-07-29" you get an overview that contains all the changes. With this class, you can parse out the important entries.

Author:
  blowagie

Field Summary
`protected boolean` `changes` indicates if the current token contains changes.
`protected boolean` `more` indicates if the tokenizer has more tokens.
`protected java.io.StreamTokenizer` `st` the tokenizer object.

Constructor Summary
`CvsLogParser(java.lang.String file)`

Method Summary
`private boolean` `hasChanged()` Indicates if the current token is one that contains changes.
`boolean` `hasMoreElements()`
`static void` `main(java.lang.String[] args)` Parses a log form CVS.
`java.lang.Object` `nextElement()` Returns the next token in the log file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### st

    protected java.io.StreamTokenizer st

  the tokenizer object.

### changes

    protected boolean changes

  indicates if the current token contains changes.

### more

    protected boolean more

  indicates if the tokenizer has more tokens.

Constructor Detail

### CvsLogParser

    public CvsLogParser(java.lang.String file)
                 throws java.io.FileNotFoundException

Parameters:
  `file` -
Throws:
  `java.io.FileNotFoundException`

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  See Also:
    `Enumeration.hasMoreElements()`

### nextElement

    public java.lang.Object nextElement()

  Returns the next token in the log file.

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  See Also:
    `Enumeration.nextElement()`

### hasChanged

    private boolean hasChanged()

  Indicates if the current token is one that contains changes.

  Returns:
    true if the token is relevant

### main

    public static void main(java.lang.String[] args)

  Parses a log form CVS.

  Parameters:
    `args` - the path to the logfile